#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#include "sha1.h"

int main (int argc, char *argv[])
{
    int ix;
    char buf[1024];
    unsigned char out[20];
    SHA1_CTX ctx;

    SHA1Init (&ctx);
    while (fgets (buf, 1024, stdin)) {
	SHA1Update (&ctx, buf, strlen (buf));
    }
    SHA1Final (out, &ctx);
    for (ix = 0; ix < 20; ++ix) {
	printf ("%.2X", out[ix]); fflush (stdout);
	if (ix % 4 == 3) { printf (" "); }
    }
    printf ("\n");
    return 0;
}
